transactionElement_s(3)

NAME
transactionElement_s -

SYNOPSIS

#include <depends.h>

  Public Types
enum rpmTransactionType { TR_ADDED, TR_REMOVED }

  Data Fields
enum transactionElement_s::rpmTransactionType type
union {
int addedIndex
struct {
int dboffset
int dependsOnIndex
} removed
} u

DETAILED DESCRIPTION

A single package instance to be installed/removed atomically.

Definition at line 121 of file depends.h.

MEMBER ENUMERATION DOCUMENTATION

  enum transactionElement_s::rpmTransactionType

Enumeration values:

TR_ADDED
    Package will be installed.

TR_REMOVED
    Package will be removed.

Definition at line 122 of file depends.h.

FIELD DOCUMENTATION

  int transactionElement_s::addedIndex

Definition at line 127 of file depends.h.

  int transactionElement_s::dboffset

Definition at line 129 of file depends.h.

  int transactionElement_s::dependsOnIndex

Definition at line 130 of file depends.h.

  struct { ... } transactionElement_s::removed

  enum transactionElement_s::rpmTransactionType transactionElement_s::type

Package disposition (installed/removed).

Referenced by rpmdepOrder.

  union { ... } transactionElement_s::u

Referenced by rpmdepOrder.

AUTHOR

Generated automatically by Doxygen for rpm from the source code.